Skip to main content
`Ctrl`+`K`

# CompositeStretch

class astropy.visualization.CompositeStretch(transform_1, transform_2)

  Bases: `CompositeTransform`, `BaseStretch`

  A combination of two stretches.

  Parameters:
    stretch_1 `astropy.visualization.BaseStretch`

      The first stretch to apply.

    stretch_2 `astropy.visualization.BaseStretch`

      The second stretch to apply.

  Attributes Summary

  `inverse` | A stretch object that performs the inverse operation.

  Methods Summary

  `__call__`(values[, clip, out]) | Transform values using this stretch.

  Attributes Documentation

  inverse

  Methods Documentation

  __call__(values, clip=True, out=None)

    Transform values using this stretch.

    Parameters:
      values numpy:array_like

        The input values, which should already be normalized to the [0:1] range.

      clip bool, optional

        If `True` (default), values outside the [0:1] range are clipped to the [0:1] range.

      out `ndarray`, optional

        If specified, the output values will be placed in this array (typically used for in-place calculations).

    Returns:
      result `ndarray`

        The transformed values.